<!--********************************************************************************
 * Copyright (c) 2015-2021 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 ********************************************************************************-->

<web-app xmlns="http://java.sun.com/xml/ns/javaee" version="3.0">

	<filter>
		<filter-name>MDMRequestFilter</filter-name>
		<filter-class>org.eclipse.mdm.application.MDMRequestFilter
		</filter-class>
		<init-param>
			<param-name>passThroughPrefixes</param-name>
			<param-value>/mdm</param-value>
		</init-param>
		<async-supported>true
		</async-supported>
	</filter>

	<filter-mapping>
		<filter-name>MDMRequestFilter</filter-name>
		<url-pattern>/*</url-pattern>
		<dispatcher>REQUEST</dispatcher>
	</filter-mapping>

	<!-- If using SessionContext#isCallerInRole(), roles also have to be declared at class level with @DeclareRoles(value = { "Admin", "DescriptiveDataAuthor", "Guest" }) -->
	<security-role>
		<role-name>Admin</role-name>
	</security-role>

	<security-role>
		<role-name>DescriptiveDataAuthor</role-name>
	</security-role>
	
	<security-role>
		<role-name>Guest</role-name>
	</security-role>

	<session-config>
		<session-timeout>20</session-timeout>
	</session-config>

</web-app>